List ratings for a conversation

GET
/v1/conversations/{conversationId}/ratings

Lists latest ratings statuses for a particular conversation by providing the conversation ID. For surveys with multiple questions, rating status will be reported for each individual question of the survey. For example, a response for a 3 question survey that was answered will be 3 elements with status "Rated". Additionally, a multiple question survey can be partially answered, therefore a response of such case will be a mix of "Offered" and "Rated" statuses. Note that the IDs of multiple questions response elements will be the same, because they are part of the same survey.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

conversationId*integer
Formatint64

Response Body

List of ratings for a conversation

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/ratings' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "33cf4e5e-9ce9-461c-b668-be9b712b717c",
"ratingScore": 5,
"ratingType": "Csat",
"ratingComment": "Super good!",
"conversationChannel": "PstnPhone",
"agentId": "a53b25da-f676-4c52-acac-58c9280aa23d",
"userId": "6d0c5791-e40a-46d4-bba1-1364ce4578ed",
"ratingStatus": "Offered",
"language": "en",
"timestamps": {
"offered_at": "2025-09-25T14:35:53Z",
"modified_at": "2025-09-25T14:36:27Z",
"scheduled_for": "2025-09-25T14:35:52Z",
"created_at": "2025-09-25T14:34:52Z",
"scheduled_at": "2025-09-25T14:34:52Z"
}
}
]
}